org.baraza.web

## Class BWebForms

- java.lang.Object
- - org.baraza.web.BWebForms

-     public class BWebForms
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BWebForms(String dbconfig)`
    `BWebForms(String dbconfig, String at)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `String` | `getAnswer(String fieldid)`
    `String` | `getAnswer(String subfieldid, int answerline)`
    `void` | `getFormType()`
    `String` | `getParameter(String paramName)`
    `String` | `getTitle()`
    `String` | `getWebForm(String entryformid, Map<String,String[]> sParams)`
    `String` | `printForm(String disabled, String process)`
    `String` | `printSubForm()`
    `javax.json.JsonObjectBuilder` | `printSubTable(String fieldId)`
    `String` | `printSubTable(String fieldId, String disabled, String caption, int table_count)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BWebForms

          public BWebForms(String dbconfig)

    - #### BWebForms

          public BWebForms(String dbconfig,
                   String at)

  - ### Method Detail

    - #### getWebForm

          public String getWebForm(String entryformid,
                          Map<String,String[]> sParams)

    - #### getFormType

          public void getFormType()

    - #### printForm

          public String printForm(String disabled,
                         String process)

    - #### printSubForm

          public String printSubForm()

    - #### printSubTable

          public javax.json.JsonObjectBuilder printSubTable(String fieldId)

    - #### printSubTable

          public String printSubTable(String fieldId,
                             String disabled,
                             String caption,
                             int table_count)

    - #### getParameter

          public String getParameter(String paramName)

    - #### getAnswer

          public String getAnswer(String fieldid)

    - #### getAnswer

          public String getAnswer(String subfieldid,
                         int answerline)

    - #### getTitle

          public String getTitle()

    - #### close

          public void close()

Copyright © 2016 openBaraza. All Rights Reserved.